Truztcube Docs
API ReferenceNIMC Enterprise

Register enterprise with NIMC

POST/v1/nin/register
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/v1/nin/register" \  -H "Content-Type: application/json" \  -d '{    "name": "Dreampod Enterprise",    "directors": [      {        "first_name": "Tomiwa",        "last_name": "Adekunle",        "email": "tomiwa.adekunle@dreampod.com",        "phone_number": "08011224488",        "nin": "11990022119"      }    ],    "email": "contact@dreampod.com",    "phone_number": "09011223344",    "address": "Ibadan, Nigeria",    "website": "https://dreampod.com.ng",    "industry": "Information Technology",    "company_type": "Public Sector"  }'
Empty